> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Users Examples

Here are a few example requests to the users API:

### Get all currently active users

`GET /api/v3/users` retrieves all active users from the database.

### Get all users, terminated or not

GET `/api/v3/users?dtContractEnd=until,2015-10-15,null` retrieves all users, terminated or not (it
actually retrieves all departed users up to Octobre, 15th 2015 as well as all active and future users).
**The date should be replaced with today's.**

### Get a single user

`GET /api/v3/users/{id}` retrieves all data about the user that has the `{id}` id.
`GET /api/v3/users?firstName=John` retrieves all users called 'John'.
`GET /api/v3/users?firstName=starts,Jo` retrieves all users whose first name starts with 'Jo'.
`GET /api/v3/users?matricule=001` retrieves the user that has the '001' matricule (employee number, unique to each employee).

### Get specific user properties

You can specify which properties you need throught the `fields` parameter.
`GET /api/v3/users?fields=firstName,lastName,birthDate` retrieves the first name, last
name and birth date of all active users.

### Update a user's last name

`PUT /api/v3/users/1`

```json theme={null}
{
	"lastName": "Smith"
}
```
